Summary:	A gtk+ vpn administration and monitoring tool for ipsec-tools
Name:		coondog
Version:	0.1
Release:	%mkrel 3
License:	GPL
Group:		System/Configuration/Networking
URL:		http://emeitner.f2o.org/coondog
Source0:	http://download.gna.org/coondog/source/%{name}-%{version}.tar.bz2
BuildRequires:	gtk+2-devel desktop-file-utils
Requires:	ipsec-tools
Requires:	perl-Gtk2-GladeXML
Requires:	perl-Config-General
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Coondog is a tool for configuring and controlling IPSec VPNs.

%prep

%setup -q

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Settings;Network" \
  --add-category="X-MandrivaLinux-System-Configuration-Networking" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%{find_lang} %{name}

#chmod -Rv 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf %{buildroot}
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif


%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS changelog README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-helper
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}
#%{_datadir}/%{name}/glade/%{name}.glade
#%{_datadir}/%{name}/glade/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-helper.1*
%{_docdir}/%{name}/*



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-3mdv2009.0
+ Revision: 222091
- buildrequire desktop-file-utils for desktop-file-install
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- fix hardcoded man page extension
- import coondog

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jul 01 2006 Emmanuel Andry <eandry@mandriva.org> 0.1-2mdv2007.0
 - fix summary and description
 - fix permission

* Mon Jun 26 2006 Emmanuel Andry <eandry@mandriva.org> 0.1-1mdv2007.0
 - initial Mandriva release
